Last Comment Bug 564657 - [SeaMonkey, Linux, nightly] 2 "Warning: package error or possible missing or unnecessary file: ..."
: [SeaMonkey, Linux, nightly] 2 "Warning: package error or possible missing or ...
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 545631 553635
Blocks: 521523 713134
  Show dependency treegraph
 
Reported: 2010-05-08 19:30 PDT by Serge Gautherie (:sgautherie)
Modified: 2011-12-30 04:47 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Port bug 553635, Package libimgicon.dylib (regressed in bug 521523) [Checkin: Comment 7] (3.58 KB, patch)
2010-05-10 11:08 PDT, Serge Gautherie (:sgautherie)
kairo: review+
kairo: approval‑seamonkey2.1a1+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2010-05-08 19:30:07 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1273303800.1273311720.15845.gz&fulltext=1
Linux comm-central-trunk nightly on 2010/05/08 00:30:00
{
Warning: package error or possible missing or unnecessary file: bin/components/libimgicon.so (package-manifest, 127).
Warning: package error or possible missing or unnecessary file: bin/components/libunixproxy.so (package-manifest, 174).
}

Hopefully, the fix should be trivial.
I think this should be investigated/fixed asap, as it affects nightlies (only).
Comment 1 Robert Kaiser (not working on stability any more) 2010-05-10 06:08:42 PDT
As long as we don't know what's breaking without this being fixed (if
anything), there's no criteria for making this block anything.

If it's just files that e.g. have been merged into a bigger lib or so, it's surely nice to fix the warnings, but no need to block on it.

Also, for those package warnings, what does package-compare say?
Comment 2 Serge Gautherie (:sgautherie) 2010-05-10 11:07:24 PDT
(In reply to comment #1)

> As long as we don't know what's breaking without this being fixed (if
> anything), there's no criteria for making this block anything.

Eventually, the MacOSX regression I just found "should" block.

> If it's just files that e.g. have been merged into a bigger lib or so, it's
> surely nice to fix the warnings, but no need to block on it.

Fwiw, I thought the removed-files.in part could be wanted.
Comment 3 Serge Gautherie (:sgautherie) 2010-05-10 11:08:17 PDT
Created attachment 444432 [details] [diff] [review]
(Av1) Port bug 553635, Package libimgicon.dylib (regressed in bug 521523)
[Checkin: Comment 7]
Comment 4 Serge Gautherie (:sgautherie) 2010-05-10 11:10:51 PDT
(In reply to comment #2)
> Eventually, the MacOSX regression I just found "should" block.

Forget that: the regression affects non-static builds only.
Comment 5 Robert Kaiser (not working on stability any more) 2010-05-10 11:18:42 PDT
Comment on attachment 444432 [details] [diff] [review]
(Av1) Port bug 553635, Package libimgicon.dylib (regressed in bug 521523)
[Checkin: Comment 7]

please land fast, want to cut 2.1a1 really soon now (only waiting on bug 562554 to be able to land on m-c or we would have cut it already)
Comment 6 Serge Gautherie (:sgautherie) 2010-05-10 11:26:29 PDT
(In reply to comment #0)
> Warning: package error or possible missing or unnecessary file:
> bin/components/libunixproxy.so (package-manifest, 174).

This is bug 545631.
Comment 7 Serge Gautherie (:sgautherie) 2010-05-10 11:50:38 PDT
Comment on attachment 444432 [details] [diff] [review]
(Av1) Port bug 553635, Package libimgicon.dylib (regressed in bug 521523)
[Checkin: Comment 7]


http://hg.mozilla.org/comm-central/rev/51074f90c125

Note You need to log in before you can comment on or make changes to this bug.